Loading...
Searching...
No Matches
gpiod::bad_mapping Class Referencefinal

Exception thrown when the core C library returns an invalid value for any of the line_info properties. More...

`#include <exception.hpp>`

Inheritance diagram for gpiod::bad_mapping:
[legend]
Collaboration diagram for gpiod::bad_mapping:
[legend]

## Public Member Functions

| bad_mapping (const ::std::string &what)
| Constructor.
| bad_mapping (const bad_mapping &other) noexcept
| Copy constructor.
| bad_mapping (bad_mapping &&other) noexcept
| Move constructor.
bad_mapping & | operator= (const bad_mapping &other) noexcept
| Assignment operator.
bad_mapping & | operator= (bad_mapping &&other) noexcept
| Move assignment operator.
| ~bad_mapping ()

## Detailed Description

Exception thrown when the core C library returns an invalid value for any of the line_info properties.

## Constructor & Destructor Documentation

## bad_mapping() [1/3]

gpiod::bad_mapping::bad_mapping | ( | const ::std::string & | what | ) |

explicit

Constructor.

Parameters

  what | Human readable reason for error.

## bad_mapping() [2/3]

gpiod::bad_mapping::bad_mapping | ( | const bad_mapping & | other | ) |

noexcept

Copy constructor.

Parameters

  other | Object to copy from.

## bad_mapping() [3/3]

gpiod::bad_mapping::bad_mapping | ( | bad_mapping && | other | ) |

noexcept

Move constructor.

Parameters

  other | Object to move.

## ~bad_mapping()

gpiod::bad_mapping::~bad_mapping | ( |  | ) |

## Member Function Documentation

## operator=() [1/2]

bad_mapping & gpiod::bad_mapping::operator= | ( | bad_mapping && | other | ) |

noexcept

Move assignment operator.

Parameters

  other | Object to move.

Returns
  Reference to self.

## operator=() [2/2]

bad_mapping & gpiod::bad_mapping::operator= | ( | const bad_mapping & | other | ) |

noexcept

Assignment operator.

Parameters

  other | Object to copy from.

Returns
  Reference to self.

The documentation for this class was generated from the following file:

- exception.hpp